import { renderValueWithMap } from "../../dataSourceForm/utils";
import useValueMap from "../../hooks/useValueMap";
var SelectReadPretty = function SelectReadPretty(props) {
  var value = props.value,
    options = props.options,
    renderMode = props.renderMode;
  var valueMap = useValueMap(options || []);
  return renderValueWithMap(value, valueMap, renderMode);
};
export default SelectReadPretty;